summaryrefslogtreecommitdiff
path: root/contrib/cleanup-prebuilt-dir.sh
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2024-02-14 09:39:01 -0300
committerSebastian <sebasjm@gmail.com>2024-02-14 09:39:01 -0300
commit9ef096edad80dfd7811ee4376357421db6f1bf3e (patch)
tree013a5e5f1386f2bcce6b106c145ce5df93664427 /contrib/cleanup-prebuilt-dir.sh
parent589c6b87be85a60603636d47526675e46d98a015 (diff)
downloadwallet-core-9ef096edad80dfd7811ee4376357421db6f1bf3e.tar.gz
wallet-core-9ef096edad80dfd7811ee4376357421db6f1bf3e.tar.bz2
wallet-core-9ef096edad80dfd7811ee4376357421db6f1bf3e.zip
add some comments
Diffstat (limited to 'contrib/cleanup-prebuilt-dir.sh')
-rwxr-xr-xcontrib/cleanup-prebuilt-dir.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/contrib/cleanup-prebuilt-dir.sh b/contrib/cleanup-prebuilt-dir.sh
index 1f664f860..fb21002cd 100755
--- a/contrib/cleanup-prebuilt-dir.sh
+++ b/contrib/cleanup-prebuilt-dir.sh
@@ -1,7 +1,11 @@
#!/bin/bash
+set -e
[ ! -d prebuilt ] && git worktree add -f prebuilt prebuilt && exit 1
+# make sure that the prebuilt directoy is clean
+# before building
+# this script is part of the make prebuilt
cd prebuilt
git checkout -- .
git pull